Bug 1542162 - [3.7] redeploy_node_certificates.yaml restarts docker daemon
Summary: [3.7] redeploy_node_certificates.yaml restarts docker daemon
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.7.z
Assignee: Scott Dodson
QA Contact: Gaoyun Pei
URL:
Whiteboard:
Depends On: 1537726
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-05 17:53 UTC by Scott Dodson
Modified: 2018-04-05 09:39 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The docker daemon was incorrectly restarted when redeploying node certificates. This is only necessary when deploying a new CA and can safely be skipped which ensures that running pods are not restarted when updating node certificates.
Clone Of: 1537726
Environment:
Last Closed: 2018-04-05 09:38:31 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0636 None None None 2018-04-05 09:39:21 UTC

Comment 2 Scott Dodson 2018-02-05 17:55:04 UTC
In openshift-ansible-3.9.0-0.36.0 and later

Comment 3 Gaoyun Pei 2018-02-06 07:38:30 UTC
Verify this bug with openshift-ansible-3.7.28-1.git.0.12b5132.el7.noarch

Run node cert redeployment playbook, docker was not restart during redeployment.
ansible-playbook -i host -v /usr/share/ansible/openshift-ansible/playbooks/byo/openshift-cluster/redeploy-node-certificates.yml


PLAY [Restart nodes] ********************************************************************************************************************************************************

TASK [Gathering Facts] ******************************************************************************************************************************************************
ok: [qe-gpei-node-registry-router-1.0206-gh1.qe.rhcloud.com]

TASK [Restart docker] *******************************************************************************************************************************************************
skipping: [qe-gpei-node-registry-router-1.0206-gh1.qe.rhcloud.com] => {"changed": false, "skip_reason": "Conditional result was False"}

Comment 7 errata-xmlrpc 2018-04-05 09:38:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0636


Note You need to log in before you can comment on or make changes to this bug.